<h1 mat-dialog-title>New VS instance</h1>

<div mat-dialog-content>
  <mat-form-field appearance="fill">
    <mat-label>Name</mat-label>
    <input matInput [(ngModel)]="data.name">
  </mat-form-field>
</div>

<div mat-dialog-content>
    <mat-form-field appearance="fill">
      <mat-label>Description</mat-label>
      <input matInput [(ngModel)]="data.description">
    </mat-form-field>
  </div>

<!--   
<div mat-dialog-content>
    <mat-form-field appearance="fill">
      <mat-label>Tenant Id</mat-label>
      <input matInput [(ngModel)]="data.tenantId">
    </mat-form-field>
  </div> -->

  
<div mat-dialog-content>
    <mat-form-field appearance="outline" class="rules-full-width">
      <mat-label>VSD</mat-label>
      <mat-select (selectionChange)="getTestbed($event)" [(ngModel)]="data.vsdId" >
          <mat-option *ngFor="let df of vsdList" [value]="df.vsDescriptorId">
              {{df.name}}
          </mat-option>
      </mat-select>
  </mat-form-field>
  </div>

  <div mat-dialog-content>
    <mat-form-field appearance="outline" class="rules-full-width">
      <mat-label>Access Level</mat-label>
      <mat-select (selectionChange)="null" [(ngModel)]="data.accessLevel">
          <mat-option *ngFor="let al of accessLevel" [value]="al">
              {{al}}
          </mat-option>
      </mat-select>
  </mat-form-field>
  </div>
  <div mat-dialog-content>
    <mat-form-field appearance="outline" class="rules-full-width">
      <mat-label>Select Imsi</mat-label>
      <mat-select (selectionChange)="null" [(ngModel)]="data.imsiIds" multiple>
          <mat-option *ngFor="let option of allIMSI" [value]="option">
              {{option}}
          </mat-option>
      </mat-select>
  </mat-form-field>
  </div>

  <!-- <div mat-dialog-content>
    <mat-label >Select Imsi :</mat-label>
    <label *ngFor="let option of allIMSI" class="form-control">
        <input type="checkbox" (ngModel)="data.imsiIds"  value="option" (change)="onCheckboxChange(option,allIMSI,$event)"/> {{option}}
    </label>
  </div> -->
<div mat-dialog-actions>
  <button mat-button (click)="onNoClick()">Cancel</button>
  <button mat-button [mat-dialog-close]="data" cdkFocusInitial>Submit</button>
</div>